import { ProfileRecord, ProfileTemplate } from '../schema/model/profile.js';
type Fetcher = typeof fetch;
export declare class ProfileRouter {
    readonly host: string;
    readonly fetch: Fetcher;
    constructor(hostname: string, fetcher: Fetcher);
    list: () => Promise<Response>;
    create: (contractId: string, template: ProfileTemplate) => Promise<Response>;
    read: (contractId: string) => Promise<Response>;
    update: (contractId: string, template: ProfileTemplate) => Promise<Response>;
    remove: (contractId: string) => Promise<Response>;
    clear: () => Promise<Response>;
    records: {
        update: (contractId: string, records: ProfileRecord[]) => Promise<Response>;
        remove: (contractId: string, labels: string[]) => Promise<Response>;
    };
}
export {};
//# sourceMappingURL=profile.d.ts.map